#ifndef cGameApp_H
#define cGameApp_H

#include "cGameAppWin.h"

class cGameApp{
protected:
	// 응용 프로그램 정보들
	HINSTANCE hInstance;
	char *pCmdLine;
	int nCmdShow;

	cGameAppWin AppWin;

	BOOL OpenApp(); // 응용 프로그램을 초기화
	void CloseApp(); // 응용 프로그램을 제거
	BOOL RegisterWindowClasses();

public:
	cGameApp();
	virtual ~cGameApp();

	int WinMain(HINSTANCE _hInstance, HINSTANCE _hPrevInstance, char * _pCmdLine, int _nCmdShow);

	operator HINSTANCE(){ return hInstance; }
	HINSTANCE GetInstanceHandle(){ return hInstance; }

	int MessageLoop(); // 표준 메시지 루프

};

#endif
